<?php declare(strict_types=1); ?>
<p>
	<?= _('A Let\'s Encrypt certificate will be obtained.') ?>
</p>

<p>
	<?= _('The domain must have the following records when the form is being processed.') ?>
</p>

<dl>
	<dt><code>AAAA</code></dt>
	<dd>
		<code><?= CONF['ht']['ipv6_address'] ?></code>
	</dd>
	<dt><code>A</code></dt>
	<dd>
		<code><?= CONF['ht']['ipv4_address'] ?></code>
	</dd>
	<dt><code>TXT</code></dt>
	<dd>
		<code><?= SERVER_NAME ?>_domain-verification=<?= getAuthToken() ?></code>
	</dd>
	<dt><code>CAA</code></dt>
	<dd>
		<code>0 issue "letsencrypt.org; validationmethods=http-01; accounturi=<?= (($_SESSION['type'] ?? 'approved') === 'approved') ? CONF['ht']['caa_account_uri'] : CONF['ht']['caa_account_uri_staging'] ?>"</code>
	</dd>
</dl>

<form method="post">
	<label for="domain"><?= _('Domain') ?></label><br>
	<input required="" placeholder="site.<?= PLACEHOLDER_DOMAIN ?>" id="domain" name="domain" type="text"><br>
	<label for="dir"><?= _('Target directory') ?></label><br>
	<select required="" name="dir" id="dir">
		<option value="" disabled="" selected="">—</option>
<?php
foreach (dirsStatuses('dns') as $dir => $alreadyEnabled)
	echo '		<option' . ($alreadyEnabled ? ' disabled=""' : '') . ' value="' . $dir . '">' . $dir . '</option>' . LF;
?>
	</select>
	<br>
	<input type="submit" value="<?= _('Setup access') ?>">
</form>
